Skip to Content

Distributions

Résoudre le problème de la double saisie dans l'application Logiciels

L'application nommée Logiciels ou gnome-software en ligne de commande permet de choisir graphiquement des logiciels à installer. Il présente l'avantage d'afficher une icône, une évaluation, un descriptif en français ainsi qu'une capture d'écran. Un trie par catégorie ou une recherche par quelques lettres est proposée.

Failles de sécurité Meltdown / Spectre et correction du kernel Linux / Ubuntu

Meltdown / Spectre

En ce début d'année 2018 deux sérieuses failles de sécurité ont été dévoilées et pour une fois se trouve au niveau matériel sur les processeurs des marques Intel, AMD et ARM. Les ordinateurs de ces dix dernières années sont impactés. Un gros correctif dans la RC-6 du noyau Linux réalisé par Linus Torvalds avait éveillé les soupçons des communautés du logiciels libre.

https://linuxfr.org/users/pied/journaux/ca-sent-pas-bon-chez-intel

Installation de RadioTray sur Ubuntu 16.04

Radio Tray est une petite application légère d’une extrême simplicité et qui permet d’écouter les radios Internet. Cette application écrite en Python s’exécute et s’intègre directement dans le tableau de bord d’un système Linux.

L'utilisation est expliquée sur : https://ordinosor.wordpress.com/2017/08/16/radiotray-une-application-toute-simple-pour-ecouter-les-webradios/

Pour l'installer sur Ubuntu 16.04 :

apt-get install radiotray

Impossible de restaurer une machine virtuelle avec virt-manager sur Ubuntu 14.04

Probablement suite à une mise à jour de qemu sur Ubuntu 14.04 :

# vim /var/log/apt/history.log

Installer Java 8 sur Ubuntu 14.04

Pour utiliser les dernières version de JOSM il faut Java 8.


Pour installer Java 8 sur Ubuntu 14.04 :


$ sudo add-apt-repository ppa:openjdk-r/ppa

$ sudo apt-get update

$ sudo apt-get install openjdk-8-jre

$ sudo update-alternatives --config java

Erreur gnome-shell : Dépend: gir1.2-mutter-3.0 sur Ubuntu 14.04

Lors de la migration d'Ubuntu 12.04 vers 14.04, j'ai laissé le PPA de gnome. Celui-ci permet d'avoir la version 3.18 au lieu de la version 3.12 supporté par Ubuntu.

La surprise a été un système instable : gmd qui ne fonctionnait pas, de multiples erreurs sous gnome, un load average énorme au démarrage de l'interface et un problème insoluble de dépendance.

J'ai donc supprimé les paquets issus du PPA, et downgradé gnome en version 3.12 fournit par Ubuntu 14.04.

Problématique

Un message d'erreur persiste à l'installation de gnome-shell :

Supprimer tous les paquets relatifs à un PPA Ubuntu

Parfois l'utilisation d'un PPA n'est pas concluante et on peut souhaiter revenir à des paquets proposés par la distribution. Il est possible de supprimer complètement les paquets issus d'un PPA avec la commande ppa-purge.

Pour avoir accès à cette commande il faut d'abord ajouter le paquet ppa-purge à notre distribution :

$ sudo apt-get install ppa-purge

Ensuite il faut demander explicitement la purge des paquets issus du PPA :

$ sudo ppa-purge ppa:nomDuPPA

Ici nous souhaitons purger deux PPA :

Message d'erreur plymouth au démarrage d'Ubuntu 14.04 : plymouth-upstart-bridge

Suite à une mise à jour d'Ubuntu 12.04 vers la version 14.04, un message d'erreur avec plusieurs tentatives s'affiche lors du démarrage de l'ordinateur :

plymouth-upstart-bridge main process (xxx) terminated with status 1

Rappel pour retrouver l'erreur en question il est possible de faire appel à la commande dmesg :

Installer Debian Unstable (sid) proprement

Récupérer une image d’installation, mais pas n’importe laquelle, nous allons prendre celle de Testing :

http://www.debian.org/devel/debian-installer/

Une fois le téléchargement effectué, graver l’image ou créer une clé USB bootable avec Unetbootin :

http://unetbootin.sourceforge.net/

Installation

L'installation requiert une connexion internet via un câble ethernet.

L'installation est classique :

ArchLinux : Installer un noyau LTS (LongTerm Support)

La dernière version LTS du noyau était la version 3.0.

C'est donc la version 3.10 qui bénéficiera à son tour d'une maintenance étendue de 2 ans.

Il a été intégré à ArchLinux dernièrement et vise à améliorer la stabilité de cette distribution (bien que je n'ai pas rencontré de véritables problèmes depuis que j'utilise ArchLinux).

Il est par contre idéal pour les utilisateurs qui voudraient utiliser ArchLinux comme serveur.

Installation du noyau

# pacman -S linux-lts

Générer l'image

Syndiquer le contenu